# checkStarterValidForChallenge | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function checkStarterValidForChallenge

- checkStarterValidForChallenge(
  species: default ,
  props: DexAttrProps ,
  soft: boolean,
  ): boolean

  Apply all challenges to the given starter (and form) to check its validity. Differs from checkSpeciesValidForChallenge which only checks form changes.

  #### Parameters

  - species: default

    The `PokemonSpecies` to check the validity of.

  - props: DexAttrProps
  - soft: boolean

    If `true`, allow it if it could become valid through evolution or form change.

  #### Returns boolean

  `true` if the species is considered valid.

  - Defined in src/data/challenge.ts:1226